include::include/header.adoc[]

== Name

bite-bugzilla-get - get bugs

== Synopsis

*bite bugzilla <get|g>* [<options>] <ids>::
    Get bugs.

*bite bugzilla <get|g>* [-h|--help]::
    Output help information.

== Description

The `get` command fetches and outputs data related to the specified bugs. In
addition to bug fields this includes the attachments, comments, and changes of
the bug. See the options below to alter the output by skipping data types.

Note that this command isn't meant for returning individual field values,
instead use the `search` command similar to the following:

.Output bug 10's summary:
 bite bugzilla search --id 10 -f summary -s @all

include::include/global-options.adoc[]

== Get options

*-A, --no-attachments*::
    Disable attachments.

*-C, --no-comments*::
    Disable comments.

*-H, --no-history*::
    Disable history.

*-b, --browser*::
    Open in a browser.
+
This uses `$BROWSER` to open URLs, falling back to `xdg-open` if undefined.

== Arguments

<ids>::
    IDs or aliases of bugs to fetch.
+
Taken from standard input when `-`.

== Examples

.Get bug 123:
 bite bugzilla get 123

.Get bug with alias `test` and only output field values:
 bite bugzilla get test -ACH

.Get all bugs created in the last day:
 bite bugzilla search -c 1d -f id | bite bugzilla get -

.Open all bugs created in the last hour in a browser:
 bite bugzilla search -c 1h -f id | bite bugzilla get -b -

== See Also

linkcmd:bite-bugzilla[1]
